<?php
	require_once "pageBase.php";
	require_once "../dal/count_lastDAL.php";
	require_once "../bin/web/repeater.php";

	class _countLast100 extends pageBase{

		//覆蓋父類load()方法
		public function load(){
			if(!parent::chkUserLimit('13')){
				parent::alert2('您沒有使用此頁面的權限!如有疑問請洽主管理者!','index.php');
				exit;
			}

			$this->loadData();
			parent::load();
		}
		public function loadData(){
			$dalL = new count_lastDAL();
			$dataL = $dalL->executeRecordset("", "a.`CountID` DESC", 0, 100);
			$listL = new repeater();
			$listL->id = "listL";
			$listL->dataSource = $dataL;
			parent::addControl($listL);

			parent::loadTemplateFile(dirname(__FILE__)."/templates/countLast100.html");
			parent::loadData();
		}
	}

	$page = new _countLast100();
	$page->load();
	$page->render();
?>